tbb::interface5::internal::hash_map_node_base Struct Reference

Node base type. More...

`#include <concurrent_hash_map.h>`

Inheritance diagram for tbb::interface5::internal::hash_map_node_base:
Collaboration diagram for tbb::interface5::internal::hash_map_node_base:

## Public Types

typedef spin_rw_mutex | mutex_t
| Mutex type. More...
typedef mutex_t::scoped_lock | scoped_t
| Scoped lock type for mutex. More...

## Public Attributes

hash_map_node_base * | next
| Next node in chain. More...
mutex_t | mutex

## Additional Inherited Members

Public Member Functions inherited from tbb::internal::no_copy
| no_copy (const no_copy &)=delete
| no_copy ()=default

## Detailed Description

Node base type.

Definition at line 68 of file concurrent_hash_map.h.

## Member Typedef Documentation

## mutex_t

typedef spin_rw_mutex tbb::interface5::internal::hash_map_node_base::mutex_t

Mutex type.

Definition at line 70 of file concurrent_hash_map.h.

## scoped_t

typedef mutex_t::scoped_lock tbb::interface5::internal::hash_map_node_base::scoped_t

Scoped lock type for mutex.

Definition at line 72 of file concurrent_hash_map.h.

## Member Data Documentation

## mutex

mutex_t tbb::interface5::internal::hash_map_node_base::mutex

Definition at line 75 of file concurrent_hash_map.h.

Referenced by tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::erase(), and tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::lookup().

## next

hash_map_node_base* tbb::interface5::internal::hash_map_node_base::next

Next node in chain.

Definition at line 74 of file concurrent_hash_map.h.

Referenced by tbb::interface5::internal::hash_map_base::add_to_bucket(), tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::clear(), tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::erase(), tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::exclude(), tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::internal_copy(), tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::rehash(), and tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::search_bucket().

The documentation for this struct was generated from the following file:

- concurrent_hash_map.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.